/**
 * 输入指定的id，获取元素上声明的正则表达式和错误信息，使用正则表达式对元素的值进行检查，如果不匹配则警告相应的信息。
 * 元素上需要有一个checkCount属性，表示需要检查的数目，并有相应的正则表达式和错误信息。
 * 例如，有如下input box
 * <input type='text' id='testinput' type='text' checkCount='2' checkReg0='.{16}' checkMsg0='长度不能小于16' checkReg1='^\d+$' checkMsg1='必须全部是数字' />
 * 则调用
 * checkValueWithRegex('testinput')
 * 时
 * 函数会依次读取checkReg0,checkReg1的属性生存正则表达式对testinput的值进行匹配。
 * 如果不匹配则alert相应的checkMsg，并返回false。
 * 如果所有的正则表达式都匹配，则返回true
 * @returns {Boolean}
 */
function checkValueWithRegex() {
	for(var i = 0; i < arguments.length; i++) {
		var toCheck = document.getElementById(arguments[i]);
		if(!toCheck) {
			continue;
		}
		var checkCount = toCheck.attributes['checkCount'].nodeValue;
		if(!checkCount) {
			checkCount = 1;
		}
		for(var checkIndex = 0; checkIndex < checkCount; checkIndex++) {
			var regAtt = toCheck.attributes['checkReg' + checkIndex];
			var msgAtt = toCheck.attributes['checkMsg' + checkIndex];
			if(regAtt && msgAtt) {
				var pattern = eval("/" + regAtt.nodeValue + "/");
				var msg = msgAtt.nodeValue;
				if(!pattern.exec(toCheck.value)) {
					if(toCheck.focus) {
						toCheck.focus();
					}
					if(toCheck.select) {
						toCheck.select();
					}
					alert(msg);
					return false;
				}
			}
		}
		return true;
	}
};